# clang-format-lint

A very simple wrapper around the [clang-format](https://www.npmjs.com/package/clang-format) npm package/binary.

Intended to be used to either validate existing files, or automatically fix the formatting on them.

Usage:
```sh
npx clang-format-lint [--fix] [--exec-limit [limit]] glob[ glob]*
```

e.g. To check if your source files match your formatting rules:
```sh
npx clang-format-lint android/src/**/*.java
```

e.g. To ensure your source files match your formatting rules:
```sh
npx clang-format-lint --fix android/src/**/*.java
```